Package ghidra.pty.windows.jna

# Interface JobApiNative

All Superinterfaces:
  `com.sun.jna.AltCallingConvention`, `com.sun.jna.Library`, `com.sun.jna.win32.StdCall`, `com.sun.jna.win32.StdCallLibrary`

public interface JobApiNative extends com.sun.jna.win32.StdCallLibrary

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.sun.jna.Library

  `com.sun.jna.Library.Handler`

  ## Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary

  `com.sun.jna.win32.StdCallLibrary.StdCallCallback`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final JobApiNative`
  `INSTANCE`

  ### Fields inherited from interface com.sun.jna.Library

  `OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_SYMBOL_PROVIDER, OPTION_TYPE_MAPPER`

  ### Fields inherited from interface com.sun.jna.win32.StdCallLibrary

  `FUNCTION_MAPPER, STDCALL_CONVENTION`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.sun.jna.platform.win32.WinDef.BOOL`
  `AssignProcessToJobObject(com.sun.jna.platform.win32.WinNT.HANDLE hJob, com.sun.jna.platform.win32.WinNT.HANDLE hProcess)`
  `com.sun.jna.platform.win32.WinNT.HANDLE`
  `CreateJobObjectW(ConsoleApiNative.SECURITY_ATTRIBUTES.ByReference lpJobAttributes, com.sun.jna.WString lpName)`
  `com.sun.jna.platform.win32.WinDef.BOOL`
  `TerminateJobObject(com.sun.jna.platform.win32.WinNT.HANDLE hJob, int uExitCode)`

- ## Field Details

  - ### INSTANCE

    static final JobApiNative INSTANCE

- ## Method Details

  - ### CreateJobObjectW

    com.sun.jna.platform.win32.WinNT.HANDLE CreateJobObjectW(ConsoleApiNative.SECURITY_ATTRIBUTES.ByReference lpJobAttributes, com.sun.jna.WString lpName)

  - ### AssignProcessToJobObject

    com.sun.jna.platform.win32.WinDef.BOOL AssignProcessToJobObject(com.sun.jna.platform.win32.WinNT.HANDLE hJob, com.sun.jna.platform.win32.WinNT.HANDLE hProcess)

  - ### TerminateJobObject

    com.sun.jna.platform.win32.WinDef.BOOL TerminateJobObject(com.sun.jna.platform.win32.WinNT.HANDLE hJob, int uExitCode)